<?php
/**
 * @package Catch Themes
 * @subpackage Adventurous
 * @since Adventurous 1.0
 */


if ( ! function_exists( 'adventurous_available_fonts' ) ) :
/**
 * Returns an array of fonts available to the theme.
 *
 * @since Catch Box Pro 1.0
 */
function adventurous_available_fonts() {	

	return array(
		'arial-black'			=> '"Arial Black", Gadget, sans-serif',
		'allan'					=> 'Allan, sans-serif',
		'allerta'				=> 'Allerta, sans-serif',
		'amaranth'				=> 'Amaranth, sans-serif',
		'arial'					=> 'Arial, Helvetica, sans-serif',
		'bitter'				=> 'Bitter, sans-serif',
		'cabin'					=> 'Cabin, sans-serif',
		'cantarell'				=> 'Cantarell, sans-serif',
		'century-gothic'		=> '"Century Gothic", sans-serif',
		'courier-new'			=> '"Courier New", Courier, monospace',
		'crimson-text'			=> '"Crimson Text", sans-serif',
		'cuprum'				=> '"Cuprum", sans-serif',
		'dancing-script'		=> '"Dancing Script", sans-serif',
		'droid-sans'			=> '"Droid Sans", sans-serif',
		'droid-serif'			=> '"Droid Serif", sans-serif',
		'georgia'				=> 'Georgia, "Times New Roman", Times, serif',
		'helvetica'				=> 'Helvetica, "Helvetica Neue", Arial, sans-serif',
		'helvetica-neue'		=> '"Helvetica Neue",Helvetica,Arial,sans-serif',
		'istok-web'				=> '"Istok Web", sans-serif',
		'impact'				=> 'Impact, Charcoal, sans-serif',
		'lato'					=> '"Lato", sans-serif',
		'lucida-sans-unicode'	=> '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
		'lucida-grande'			=> '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
		'lobster'				=> 'Lobster, sans-serif',
		'lora'					=> '"Lora", serif',
		'monaco'				=> 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
		'nobile'				=> 'Nobile, sans-serif',
		'open-sans'				=> '"Open Sans", sans-serif',
		'oswald'				=> '"Oswald", sans-serif',
		'palatino'				=> 'Palatino, "Palatino Linotype", "Book Antiqua", serif',	
		'patua-one'				=> '"Patua One", sans-serif',
		'playfair-display'		=> '"Playfair Display", sans-serif',
		'pt-sans'				=> '"PT Sans", sans-serif',
		'pt-serif'				=> '"PT Serif", serif',
		'quattrocento-sans' 	=> '"Quattrocento Sans", sans-serif',
		'roboto'				=> 'Roboto, sans-serif',
		'sans-serif'			=> 'Sans Serif, Arial',
		'tahoma'				=> 'Tahoma, Geneva, sans-serif',
		'trebuchet-ms'			=> '"Trebuchet MS", "Helvetica", sans-serif',
		'times-new-roman'		=> '"Times New Roman", Times, serif',
		'ubuntu'				=> 'Ubuntu, sans-serif',
		'verdana'				=> 'Verdana, Geneva, sans-serif',
		'yanone-kaffeesatz' 	=> '"Yanone Kaffeesatz", sans-serif'
	);
	
}
endif;


/**
 * Set the default values for all the settings. If no user-defined values
 * is available for any setting, these defaults will be used.
 */
global $adventurous_options_defaults;
$adventurous_options_defaults = array(
	'disable_responsive'					=> '0',
	'fav_icon'								=> get_template_directory_uri().'/images/favicon.ico',
 	'remove_favicon'						=> '0',
	'web_clip'								=> get_template_directory_uri().'/images/apple-touch-icon.png',
 	'remove_web_clip'						=> '1',
	'remove_header_menu'					=> '0',
	'remove_header_logo'					=> '1',
	'featured_logo_header'					=> get_template_directory_uri().'/images/logo.png',
	'remove_site_title'						=> '0',
 	'remove_site_description'				=> '0',
	'site_title_above'						=> '0',
	'enable_promotion'						=> 'homepage',
	'homepage_headline'						=> __( 'Adventurous is a Simple, Clean and Responsive WordPress Theme', 'adventurous' ),
	'homepage_subheadline'					=> __( 'This is Promotion Headine. You can edit this from "Appearance => Theme Options => Promotion Headeline Options"', 'adventurous' ),
	'homepage_headline_button'				=> __( 'Reviews', 'adventurous' ),
	'homepage_headline_url'					=> esc_url( 'http://wordpress.org/support/view/theme-reviews/adventurous' ),
	'homepage_headline_target'				=> '1',
	'reset_featured_image'					=> '2',
	'featured_header_image_position'		=> 'after-header',
	'enable_featured_header_image'			=> 'homepage',
	'page_featured_image'					=> 'full',
	'featured_header_image_url'				=> '',
	'featured_header_image_alt'				=> '',
	'featured_header_image_base'			=> '0',
	'disable_header_right_search'			=> '0',
 	'disable_header_right_sidebar'			=> '0',
	'color_scheme'							=> 'light',
	'header_background'						=> '#fff',
	'featured_background'					=> '#fff',
	'content_background'					=> '#fff',
	'title_color'							=> '#222',
	'title_hover_color'						=> '#7c9b30',
	'text_color'							=> '#404040',
	'meta_color'							=> '#757575',
	'link_color'							=> '#7c9b30',
	'reset_color'							=> '2',
	
	'promotion_background'					=> '#f9f9f9',
	'home_headline'							=> '#404040',
	'promotion_button_background'			=> '#9bc23c',
	'promotion_button_border_color'			=> '#fff',
	'promotion_button_text_color'			=> '#fff',
	'reset_promotion_color'					=> '2',	
	
	'sidebar_background'					=> '#fff',
	'widget_title_color'					=> '#222',
	'widget_color'							=> '#404040',
	'widget_link_color'						=> '#757575',
	'reset_sidebar_color'					=> '2',
	
	'footer_sidebar_background'				=> '#222',	
	'footer_widget_title_color'				=> '#fff',
	'footer_widget_color'					=> '#404040',
	'footer_widget_link_color'				=> '#757575',	
	'footer_background'						=> '#000',
	'footer_text_color'						=> '#ccc',
	'footer_link_color'						=> '#eee',		
	'reset_footer_color'					=> '2',	

	'menu_color'							=> '#757575',
	'hover_active_text_color'				=> '#7c9b30',
	'sub_menu_border_color'					=> '#7c9b30',
	'sub_menu_bg_color'						=> '#fff',
	'sub_menu_text_color'					=> '#757575',
	'hover_active_color'					=> '#f8f8f8',
	'sub_menu_hover_color'					=> '#7c9b30',
	'secondary_menu_background'				=> '#000',
	'secondary_menu_color'					=> '#ccc',
	'secondary_hover_active_color'			=> '#222',
	'secondary_hover_active_text_color'		=> '#fff',
	'secondary_sub_menu_bg_color'			=> '#222',
	'secondary_sub_menu_text_color'			=> '#fff',
	'secondary_sub_menu_hoverbg_color'		=> '#000',
	'secondary_sub_menu_hovertext_color'	=> '#fff',	
	'footer_menu_background'				=> '#000',
	'footer_menu_color'						=> '#ccc',
	'footer_hover_active_color'				=> '#222',
	'footer_hover_active_text_color'		=> '#fff',
	'footer_sub_menu_bg_color'				=> '#222',
	'footer_sub_menu_text_color'			=> '#fff',
	'footer_sub_menu_hoverbg_color'			=> '#000',
	'footer_sub_menu_hovertext_color'		=> '#fff',
	'mobile_menu_hamburger'					=> '#757575',
	'mobile_menu_hamburger_hover'			=> '#7c9b30',
	'mobile_menu_bg_color'					=> '#fff',
	'mobile_menu_text_color'				=> '#666',
	'mobile_menu_border_top'				=> '#7c9b30',
	'mobile_menu_border'					=> '#f8f8f8',
	'mobile_menu_hover_bg_color'			=> '#f8f8f8',
	'mobile_menu_hover_text_color'			=> '#111',
	'reset_menu_color'						=> '2',
	
	'body_font'								=> 'sans-serif',
	'title_font'							=> 'sans-serif',
	'tagline_font'							=> 'sans-serif',
	'content_tittle_font'					=> 'sans-serif',
	'content_font'							=> 'sans-serif',
	'headings_font'							=> 'sans-serif',
	'commenting_setting'					=> 'default',
	'reset_typography'						=> '2',	
	'custom_css'							=> '',	
	'sidebar_layout'						=> 'right-sidebar',
	'content_layout'						=> 'full',
	'featured_image'						=> 'featured',
	'reset_layout'							=> '2',
	'more_tag_text'							=> __( 'Continue Reading &rarr;', 'adventurous' ),
	'reset_moretag'							=> '2',
	'excerpt_length'						=> 30,
 	'search_display_text'					=> __( 'Search &hellip;', 'adventurous' ),
	'feed_url'								=> '',
	'disable_homepage_headline'				=> '0',
	'disable_homepage_subheadline'			=> '0',
	'disable_homepage_button'				=> '0',
	'promotion_position'					=> 'afterslider',
	'enable-featured'						=> 'homepage',
	'featured_position'						=> 'beforecontent',
	'homepage_featured_headline'			=> '',
	'homepage_featured_subheadline'			=> '',
	'homepage_featured_qty'					=> 4,
	'homepage_featured_layout'				=> 'four-columns',
	'homepage_featured_image'				=> array(),
	'homepage_featured_url'					=> array(),
	'homepage_featured_base'				=> array(),
	'homepage_featured_title'				=> array(),
	'homepage_featured_content'				=> array(),
	'enable_posts_home'						=> '0',
 	'front_page_category'					=> array(),
	'select_slider_type'					=> 'demo-slider',
	'enable_slider'							=> 'enable-slider-homepage',
	'disable_slider_text'					=> '1',
 	'featured_slider'						=> array(),
	'featured_slider_page'					=> array(),	
	'slider_category'						=> array(),
	'featured_image_slider_image'			=> array(),
	'featured_image_slider_link' 			=> array(),
	'featured_image_slider_base'			=> array(),
	'featured_image_slider_title' 			=> array(),
	'featured_image_slider_content' 		=> array(),
	'slider_qty'							=> 4,
 	'transition_effect'						=> 'fade',
 	'transition_delay'						=> 4,
 	'transition_duration'					=> 1,	
	'exclude_slider_post'					=> '0',
 	'social_facebook'						=> '',
 	'social_twitter'						=> '',
 	'social_googleplus'						=> '',
 	'social_pinterest'						=> '',
 	'social_youtube'						=> '',
 	'social_vimeo'							=> '',
 	'social_linkedin'						=> '',
 	'social_slideshare'						=> '',
 	'social_foursquare'						=> '',
 	'social_flickr'							=> '',
 	'social_tumblr'							=> '',
 	'social_deviantart'						=> '',
 	'social_dribbble'						=> '',
 	'social_myspace'						=> '',
 	'social_wordpress'						=> '',
 	'social_rss'							=> '',
 	'social_delicious'						=> '',
 	'social_lastfm'							=> '',
	'social_instagram'						=> '',
	'social_github'							=> '',
	'social_vkontakte'						=> '',
	'social_myworld'						=> '',
	'social_odnoklassniki'					=> '',
	'social_goodreads'						=> '',
	'social_skype'							=> '',
	'social_soundcloud'						=> '',
	'social_custom_qty'						=> 1,
	'social_custom_name'					=> array(),
	'social_custom_image'					=> array(),
	'social_custom_url'						=> array(),
 	'google_verification'					=> '',
 	'yahoo_verification'					=> '',
 	'bing_verification'						=> '',
 	'analytic_header'						=> '',
 	'analytic_footer'						=> '',
	'footer_code'							=> '<div class="copyright">'. esc_attr__( 'Copyright', 'adventurous' ) . ' &copy; [the-year] [site-link]. '. esc_attr__( 'All Rights Reserved', 'adventurous' ) . '.</div><div class="powered">'. esc_attr__( 'Powered by', 'adventurous' ) . ': [wp-link] | '. esc_attr__( 'Theme', 'adventurous' ) . ': [theme-link]</div>',
	'reset_footer'							=> '2'
);
global $adventurous_options_settings;
$adventurous_options_settings = adventurous_options_set_defaults( $adventurous_options_defaults );

function adventurous_options_set_defaults( $adventurous_options_defaults ) {
	$adventurous_options_settings = array_merge( $adventurous_options_defaults, (array) get_option( 'adventurous_options', array() ) );
	return $adventurous_options_settings;
}

?>